POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "e92ae739-07a9-4876-8927-a6d31ccc42e7",
"selected_sticker_id": "76d7924b-626b-4b42-af05-c35eb8ecf294",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "d577dbf7-743c-402d-9211-4b7dc58d58ea",
"site_id": "d9c809c8-85b6-453d-9a6d-7953ec730925"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "d577dbf7-743c-402d-9211-4b7dc58d58ea",
"site_id": "d9c809c8-85b6-453d-9a6d-7953ec730925"
}
],
"active": true,
"certificate_type_id": "24f1dd5c-a235-46fa-b8ba-1ce669e2b00f",
"code": 1,
"delay_between_scans": 1,
"id": "de686dd6-3b08-43f8-885a-54c7e39e140a",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "75ced201-fe34-45e6-88f2-d6c565df0e74",
"packing_type_id": "97986fd0-7a78-4485-aea4-55e4ae18f491",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "a8ce5952-45ea-4120-ae6d-1d030807f179",
"remark": "sample string 14",
"site_customer_id": "687b3069-90cc-46eb-9322-c1f449f63a95",
"sorting_type_id": "18573613-bd7b-48ea-ad2b-1d3a6acab14e",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>24f1dd5c-a235-46fa-b8ba-1ce669e2b00f</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>de686dd6-3b08-43f8-885a-54c7e39e140a</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>75ced201-fe34-45e6-88f2-d6c565df0e74</packaging_type_id>
<packing_type_id>97986fd0-7a78-4485-aea4-55e4ae18f491</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>a8ce5952-45ea-4120-ae6d-1d030807f179</pool_id>
<remark>sample string 14</remark>
<site_customer_id>687b3069-90cc-46eb-9322-c1f449f63a95</site_customer_id>
<sorting_type_id>18573613-bd7b-48ea-ad2b-1d3a6acab14e</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>e92ae739-07a9-4876-8927-a6d31ccc42e7</selected_nameplate_id>
<selected_sticker_id>76d7924b-626b-4b42-af05-c35eb8ecf294</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>d577dbf7-743c-402d-9211-4b7dc58d58ea</id>
<site_id>d9c809c8-85b6-453d-9a6d-7953ec730925</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>d577dbf7-743c-402d-9211-4b7dc58d58ea</id>
<site_id>d9c809c8-85b6-453d-9a6d-7953ec730925</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"29bef857-db21-4714-91fe-f90f8cd26cf2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">29bef857-db21-4714-91fe-f90f8cd26cf2</guid>